# borb Contributor License Agreement

In order for borb to have a clear understanding with respect to its ownership of and rights in the intellectual property rights associated with the borb software library (hereinafter “borb Project”) and to clearly determine the responsibilities and obligations associated with the Contributions (as defined hereinafter), borb must receive a signed borb Contributor License Agreement from the Contributor (as defined hereinafter) indicating the Contributor’s agreement with the terms and conditions set forth herein. This borb Contributor License Agreement (hereinafter “the Agreement”) intends to protect the Contributor as well as borb.

The Contributor hereby accepts and agrees to the following terms and conditions with regard to past, current and future Contributions submitted by the Contributor to borb.

## Definitions

When used in this Agreement the following words and or expressions shall have the meaning as stated hereunder unless the context expressly requires otherwise:

1.1. **“Contributor”** means any individual and/or legal entity that voluntarily submits one or more Contribution to the borb Project.

1.2. **“Contribution”** means any original work of authorship, including any modification and/or addition to the existing work that is submitted for introduction in, or documentation of, any of the products owned or managed by borb, where such work originates from a Contributor. A Contribution may be submitted in any form of electronic, verbal and/or written communication or documentation, including without limitation, communication on electronic mailing lists, source code control systems and issue tracking systems that are managed by or on behalf of borb for the purpose of discussion and improving the results of the borb Project.

##  Article 2: Granted Rights - Representations

2.1. For the benefit of borb, the Contributor hereby agrees to the following:

- The Contributor irrevocably, automatically, unconditionally and without compensation assigns, transfers and conveys to borb all right, title and interest in and to the Contributions. Such assignment includes copyrights (to the extent permitted by applicable mandatory law) and all other intellectual property rights other than patents and patent applications (“Patent”), together with all causes of actions accrued in favor for infringement thereof, recognized by any jurisdiction (“Proprietary Rights”). This assignment and transfer is applicable worldwide, for existing as well as future works and lasts for the entire term of copyright protection. As for future works and Contributions the transfer will be considered to have been made for all software related to the PDF library code and the applications thereof (genre: e.g. writing books, software and manuals as well as the development of the library). Without limiting the foregoing, borb shall determine in its sole discretion whether or not to use the Contribution and to use, sell, distribute, license, reproduce, re-use, modify, update, edit or otherwise make available the Contribution(s) as it sees fit, in any manner currently known or in the future discovered and for any and all purposes.
- The Contributor grants (to the extent that under applicable mandatory law, Proprietary Rights cannot be assigned, transferred or conveyed) to borb and to the recipients of the software incorporating the Contribution(s) a perpetual, irrevocable, worldwide, non-exclusive, fully paid-up and royalty-free copyright license to reproduce, modify, prepare derivative works of, (publicly) display, perform, sublicense (through multiple tiers of sublicensees), and distribute the Contribution.
- The Contributor grants to borb and to recipients of software distributed by borb a perpetual, worldwide, non-exclusive, fully paid-up, royalty-free, irrevocable (except as stated in this Agreement) Patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Contribution, where such license applies only to the Patent claims licensable by the Contributor that are necessarily infringed by the Contributor’s Contribution(s) alone or by combination of such Contribution(s) with other work of borb.
- The Contributor furthermore agrees to immediately notify borb of any patents that the Contributor knows or comes to know are likely infringed by the Contribution(s) and/or are not licensable by the Contributor. If any entity institutes patent litigation against the Contributor or any other entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Contributor’s Contribution(s) or the borb Project work to which the Contributor has contributed constitutes direct or contributory patent infringement, then any Patent licenses granted under this Agreement for that Contribution or the borb Project work shall immediately terminate as of the date such litigation is filed.

2.2. Upon the assignment of the Proprietary Rights and the grant of the license as set forth in this article 2, borb hereby grants to the Contributor a perpetual, non-exclusive, worldwide, fully-paid up, royalty-free license to make, use, reproduce, distribute, modify and prepare derivative works based on the Contributions of the Contributor.

2.3. The Contributor hereby represents and warrants that:

- The Contributor is legally entitled to assign the Proprietary Rights and to grant the above licenses. If the Contributor’s employer(s) or consultant(s) has rights to intellectual property that the Contributor creates that includes the Contributor’s Contributions, the Contributor represents and warrants that the Contributor has received permission to make Contributions on behalf of its employer or consultant, as the case may be, and that its employer or consultant, as the case may be, has waived such rights for such Contributions to borb.
- Each Contribution is the original creation of the Contributor. The Contributor represents that each submission of a contribution includes complete details of any third party license or other restrictions of which you are aware and which are associated with any part of the Contribution(s).
- No claim or dispute has been filed or, to the best of your knowledge, threatened in connection with the ownership, use or distribution of the Contribution(s).
- The execution of this Agreement does not constitute a breach under any other agreement to which the Contributor and/or its employer is a party, does not require the consent, approval or waiver from or notice to any third party and does not violate any law or regulation. The Contributor shall immediately inform borb of any facts and/or circumstances of which the Contributor becomes aware that would make the representations and warranties inaccurate or untrue in any respect.
- The Contributor further agrees that the Contributor shall at no time hereafter dispute, contest or aid or assist any third party in disputing and/or contesting, either directly or indirectly, the right, title and interest in or to any and all Contributions of borb as detailed in this Agreement.

2.4. In case under applicable law the Contributor retains the moral rights or other inalienable rights to the Contributions, the Contributor agrees not to exercise such rights without the prior written permission of borb. To the maximum extent permitted by law, the Contributor further waives and agrees not to assert such moral rights (if any) against borb or its successors in interest, or any of its licensees, either direct or indirect.

2.5. In order to ensure that borb will be able to acquire, use and protect its Proprietary Rights as detailed in this article 2, the Contributor will:

- Sign any documents to assist borb in the documentation, perfection and enforcement of its rights.
- Provide borb with support and reasonable access to information for applying, securing, protecting, perfecting and enforcing its rights.

##  Article 3: Warranties

EXCEPT FOR THE EXPRESS WARRANTIES DETAILED IN ARTICLE 2, THE CONTRIBUTIONS ARE PROVIDED “AS IS” AND NEITHER THE CONTRIBUTOR NOR BORB MAKES ANY WARRANTIES OF ANY KIND TO THE OTHER PARTY, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION OF ANY WARRANTY OF MERCHANTAIBILITY OR FITNESS FOR A PARTICULAR PURPOSE.

## Article 4: Miscellaneous

4.1. This Agreement shall enter into force upon execution of this document by the Contributor. This Agreement may be terminated by either party if the other party commits a breach of this Agreement, provided that if the breach is capable of remedy termination shall not occur if the breach shall have been remedied within 90 days of such other party having been given notice in writing specifying the breach and requiring it to be remedied. Notwithstanding any termination of this Agreement, this Agreement shall remain in full force and effect with respect to any Contribution submitted prior to the termination date of the Agreement.

4.2. This Agreement contains the entire agreement between the parties and supersedes all prior or contemporaneous agreements or understanding, whether written or oral, relating to its subject matter. If any provision of this Agreement shall be deemed invalid or unenforceable, the validity and enforceability of the remaining provisions of this Agreement shall not be affected and such provision shall be deemed modified only to the extent necessary to make such provision consistent with applicable law.

4.3. The Agreement is governed by the laws of Belgium, without reference to its conflict of law principles.

4.4. borb shall have the right to assign its rights and obligations hereunder, including (without limitation) to any successor or assignee of its business or assets to which this Agreement relates, whether by merger, establishment of a legal entity, acquisition, operation of law or otherwise without the prior written consent of the Contributor. The Contributor may not assign its rights and obligations under this Agreement, including by operation of law, without the prior written consent of borb, and as a condition to any such assignment, the Contributor's assignee must agree in writing to abide by all of the rights and obligations of the Contributor set forth in the Agreement. Please execute two (2) original copies of the above document and send this to the following recipient: 

**The recipient:**  
Joris Schellekens  
Gentbruggestraat 76  
9040 Sint-Amandsberg  
BELGIUM  

**The Contributor:**  
Name:  
Title (if applicable in case of legal entity):  
Full name of legal entity and address registered office (if applicable):  
Date:  
Signature:
